Bug 989294 - reservesys task may not detect failure of immediately preceding task
Summary: reservesys task may not detect failure of immediately preceding task
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Beaker
Classification: Community
Component: beah
Version: develop
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-29 02:51 UTC by Nick Coghlan
Modified: 2018-02-06 00:41 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-29 02:56:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 639938 None CLOSED [RFE] The reservesys step should be separate from the rest of the tests 2019-04-02 18:07:32 UTC

Internal Links: 639938

Description Nick Coghlan 2013-07-29 02:51:53 UTC
Due to the way recipe status updates are now handled (to avoid race conditions on the server), the reservesys task may now fail to notice that the immediately preceding task actually failed.

This can't be fixed directly, but increase the importance of adding the more robust conditional reservation mechanism described in bug 639938


Note You need to log in before you can comment on or make changes to this bug.